#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - shadow installation
#
# Creation   :  2018-01-13 holbru
# Last update:  $Id: postinstall-shadow.sh 55249 2018-05-19 21:14:33Z hbfl $
#
# Copyright (c) 2018-2018 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=shadow

# ---------------------------------------------------------------------------
# update-2.8.2
# ---------------------------------------------------------------------------
update_2_8_2()
{
    cd /usr/bin

bin_files='
chfn
chsh
expiry
gpasswd
passwd
newgidmap
newuidmap'

    for _FNAME in ${bin_files}
    do
        chown root.shadow "${_FNAME}"
        chmod 4755 "${_FNAME}"
    done

    chmod 4755 newgrp

    chown root.shadow chage
    chmod 2755 chage
}

# ---------------------------------------------------------------------------
# update-2.8.7
# ---------------------------------------------------------------------------
update_2_8_7()
{
    cd /usr/bin

bin_files='
chfn
chsh
expiry
gpasswd
passwd
newgidmap
newuidmap'

    for _FNAME in ${bin_files}
    do
        chown root.shadow "${_FNAME}"
        chmod 4755 "${_FNAME}"
    done

    chmod 4755 newgrp

    chown root.shadow chage
    chmod 2755 chage
}
# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
